Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Class AuditAtnEventV2.AtnEventTypeV2

    java.lang.Object
      weblogic.security.spi.AuditAtnEventV2.AtnEventTypeV2

Enclosing class:
  AuditAtnEventV2

public static class AuditAtnEventV2.AtnEventTypeV2
extends Object

The `AtnEventType` class describes the authentication event types that are supported.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static AuditAtnEventV2.AtnEventTypeV2` | `ASSERTIDENTITY` Represents the "identity assertion" authentication type.
`static AuditAtnEventV2.AtnEventTypeV2` | `AUTHENTICATE` Represents the "simple authentication" authentication type.
`static AuditAtnEventV2.AtnEventTypeV2` | `CREATEDERIVEDKEY` Represents the creation of the the Derived key
`static AuditAtnEventV2.AtnEventTypeV2` | `CREATEPASSWORDDIGEST` Represents the creation of the the Password Digest
`static AuditAtnEventV2.AtnEventTypeV2` | `IMPERSONATEIDENTITY` Represents the "impersonate identity" authentication type.
`static AuditAtnEventV2.AtnEventTypeV2` | `USERLOCKED` Indicates that a user has been locked because of invalid login attempts.
`static AuditAtnEventV2.AtnEventTypeV2` | `USERLOCKOUTEXPIRED` Indicates that a lock on a user has expired.
`static AuditAtnEventV2.AtnEventTypeV2` | `USERUNLOCKED` Indicates that a lock on a user has been cleared.
`static AuditAtnEventV2.AtnEventTypeV2` | `VALIDATEIDENTITY` Represents the "validate identity" authentication type.

Method Summary
`String` | `toString()` Returns the event type associated with this `AuditAtnEvent`, represented as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ASSERTIDENTITY

    public static final AuditAtnEventV2.AtnEventTypeV2 ASSERTIDENTITY

  Represents the "identity assertion" authentication type.

### AUTHENTICATE

    public static final AuditAtnEventV2.AtnEventTypeV2 AUTHENTICATE

  Represents the "simple authentication" authentication type.

### CREATEDERIVEDKEY

    public static final AuditAtnEventV2.AtnEventTypeV2 CREATEDERIVEDKEY

  Represents the creation of the the Derived key

### CREATEPASSWORDDIGEST

    public static final AuditAtnEventV2.AtnEventTypeV2 CREATEPASSWORDDIGEST

  Represents the creation of the the Password Digest

### IMPERSONATEIDENTITY

    public static final AuditAtnEventV2.AtnEventTypeV2 IMPERSONATEIDENTITY

  Represents the "impersonate identity" authentication type.

### USERLOCKED

    public static final AuditAtnEventV2.AtnEventTypeV2 USERLOCKED

  Indicates that a user has been locked because of invalid login attempts.

### USERLOCKOUTEXPIRED

    public static final AuditAtnEventV2.AtnEventTypeV2 USERLOCKOUTEXPIRED

  Indicates that a lock on a user has expired.

### USERUNLOCKED

    public static final AuditAtnEventV2.AtnEventTypeV2 USERUNLOCKED

  Indicates that a lock on a user has been cleared.

### VALIDATEIDENTITY

    public static final AuditAtnEventV2.AtnEventTypeV2 VALIDATEIDENTITY

  Represents the "validate identity" authentication type.

Method Detail

### toString

    public String toString()

  Returns the event type associated with this `AuditAtnEvent`, represented as a String.

  Returns:
    this event type, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD